
QGIS Application - Bug report #22002

Crash when adding Vector layer (.shp file)

2019-05-06 02:18 PM - David van Eekelen

Status: Open

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.6.2 Regression?: No

Operating System: Windows Server 2008 R2 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29817

Description

I have installed QGIS 3.6.2 on a Windows Server 2008 R2 system. A couple of users in our corporate environment login on this system via

Remote Desktop, and use QGIS.

After a fresh install of QGIS, everything works fine, however, after about 1 day, QGIS crashes when adding a .shp file as a vector layer.

The source of this .shp file is locally on the system, so no network/database connections there.

I have also tried the 3.4.7 LTR version, this has the same problems.

Crash ID: 7009b0fe8dc6e45a983a30d4e92444e870732db6

Stack Trace

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: 656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-05-06 02:20 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

- Category changed from Windows Package to Unknown

- Status changed from Open to Feedback

Is the stacktrace actually empty?

#2 - 2019-05-06 02:28 PM - David van Eekelen

Jürgen Fischer wrote:
Is the stacktrace actually empty?

How do I check if the stacktrace is empty? I have tried looking for log files but coulnd't find them. I've tried installing QGIS via OSGeo4W, but I don't know

how I can then trace back what is causing the crash.

#3 - 2019-05-06 02:45 PM - Jürgen Fischer

David van Eekelen wrote:

Jürgen Fischer wrote:

Is the stacktrace actually empty?

How do I check if the stacktrace is empty? I have tried looking for log files but coulnd't find them. I've tried installing QGIS via OSGeo4W, but I don't

know how I can then trace back what is causing the crash.

It should (have) be(en) after "Stack Trace" above.

#4 - 2019-05-06 02:50 PM - David van Eekelen

This is the full content of the error:

Crash ID: 7009b0fe8dc6e45a983a30d4e92444e870732db6

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QgsFirstRunDialog::tr :

QMetaObject::activate :

QgsMapCanvas::currentLayerChanged :

QgsMapCanvas::setCurrentLayer :

QgisApp::onActiveLayerChanged :

QMetaObject::activate :

QgsLayerTreeView::currentLayerChanged :

QgsLayerTreeView::onCurrentChanged :

QMetaObject::activate :

QItemSelectionModel::setCurrentIndex :

QAbstractItemView::setCurrentIndex :

QgisApp::autoSelectAddedLayer :

QgisApp::identifyMapTool :

QMetaObject::activate :

QgsLayerTreeRegistryBridge::addedLayersToLayerTree :

QgsLayerTreeRegistryBridge::layersAdded :
QMetaObject::activate :

QgsProject::legendLayersAdded :

QgsProject::addMapLayers :

QgisApp::addVectorLayersPrivate :

QgisApp::addVectorLayers :

QgisApp::qt_static_metacall :

QMetaObject::activate :

QgsDataSourceManagerDialog::addVectorLayers :

QMetaObject::activate :

QgsAbstractDataSourceWidget::addVectorLayers :

wildcards :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::dataSourceManager :

QgisApp::identifyMapTool :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: 656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#5 - 2019-05-09 09:16 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2019-05-17 04:13 PM - Mike Gribschaw

While running Windows 10 with QGIS 3.4.7, I left QGIS open on my computer over night and simply put my computer to sleep until the morning.  After

arriving at work the next morning and tabbing over to my open QGIS application, I decided to deselect (uncheck their boxes) a couple vector layers to

temporarily remove them from my view... and it crashed.

Crash ID: 85d6c7025c76a2e7157a2f32bd632906facfceb3

Stack Trace

memmove :

VSICreateCachedFile :

GDALRegister_Terragen :

GDALRegister_Terragen :

GDALRegister_Terragen :

GDALRegister_GTiff :

GDALRasterBand::GetLockedBlockRef :

GDALRasterBand::IRasterIO :

GDALRegister_GTiff :

GDALRasterBand::RasterIO :
dataCapabilities :

QgsMultiBandColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererParallelJob::renderLayerStatic :

QgsVectorDataProvider::isSaveAndLoadStyleToDatabaseSupported :

QgsArchive::zip :

QgsMapRendererParallelJob::cancelWithoutBlocking :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.7-Madeira

QGIS code revision: 5c56989325

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299
